
#!/bin/bash
set -euxo pipefail

cd ~/config/etc \
&& find ./ -type d -exec sudo mkdir -p /etc/{} \; \
&& find ./ -type f -exec sudo cp {} /etc/{} \; \
&& find ./ -type f -exec sudo chown root:root /etc/{} \; \
|| echo failed configuring /etc

cd ~/config/root \
&& find ./ -type d -exec sudo mkdir -p /root/{} \; \
&& find ./ -type f -exec sudo cp {} /root/{} \; \
&& find ./ -type f -exec sudo chown root:root /root/{} \; \
|| echo failed configuring /root

cd ~/config/usr \
&& find ./ -type d -exec sudo mkdir -p /usr/{} \; \
&& find ./ -type f -exec sudo cp {} /usr/{} \; \
&& find ./ -type f -exec sudo chown root:root /usr/{} \; \
|| echo failed configuring /usr

cd

sudo dpkg --add-architecture i386
sudo apt update
sudo apt full-upgrade
sudo apt install debian-keyring 7zip 7zip-rar bc binutils cool-retro-term file fonts-lmodern fonts-noto-core fonts-stix bluez bluez-tools manpages mosh mpv parted pavucontrol pipewire-alsa pipewire-audio pipewire-jack pipewire-pulse qutebrowser ratmenu ratpoison rsync steam-installer sxiv systemd-timesyncd tmux unclutter unzip vim wget x11-xserver-utils xbindkeys xinit xinput xterm xtightvncviewer zip acpi angband brightnessctl calc calendar cava cool-retro-term dict elinks file fonts-lmodern fonts-noto-core fonts-stix gimp git gpg-agent gpgconf keynav libbz2-dev libdb-dev libffi-dev libgdbm-dev libhidapi-libusb0 libjs-pdf liblzma-dev libncurses-dev libreadline-dev libspa-0.2-bluetooth bluez-firmware libspa-0.2-libcamera libsqlite3-dev libssl-dev linux-cpupower lm-sensors ncal netcat-openbsd nethack-console physlock pinentry-curses pinentry-tty pwgen screen telnet-ssl tf5 thermald tk-dev tzdata-legacy units upower weather-util uvccapture zlib1g-dev fuse libfuse2 xdotool xxd jq fatsort
sudo apt install --no-install-recommends eject lame ripit udisks2
sudo apt build-dep python3
sudo apt autoremove
sudo apt clean

sudo update-alternatives --set editor /usr/bin/vim.tiny
sudo systemctl enable local-physlock

test -d /home/fungi || sudo adduser fungi
sudo rsync -a ~/config/home/fungi/ ~fungi
sudo chown -R fungi:fungi ~fungi

test -d /home/fujiko || sudo adduser fujiko
sudo rsync -a ~/config/home/fujiko/ ~fujiko
sudo chown -R fujiko:fujiko ~fujiko
